extends "scroll_movement.gd"



onready var notifier = $notifier

func _ready():
	get_node("notifier").connect("screen_exited", self, "_on_screen_exited")

func _on_screen_exited():
	print("Obstacle exited the screen")
	queue_free()

func _physics_process(delta):
	move()


func _on_collision_obstacle_body_entered(body):
	if body.name == "player2" : 
		Signals.emit_signal("die")
		queue_free()

